g1
g2
g3

[EPL]
g1-EPL
g2-EPL
g3-EPL
g4-EPL

[FA]
g1-FA
g2-FA
g3-FA
g4-FA

[CS]
g1-CS
g2-CS
g3-CS
g4-CS

[uel]
g1-uel
g2-uel
g3-uel
g4-uel

[ucl]
g1-ucl
g2-ucl
g3-ucl
g4-ucl

[USC]
g1-USC
g2-USC
g3-USC
g4-USC

[FWC]
g1-FWC
g2-FWC
g3-FWC
g4-FWC

[ICC]
g1-ICC
g2-ICC
g3-ICC
g4-ICC
